import { ref as e, watch as t } from "vue";
//#region src/components/_internals/composables/useExpansion/useExpansion.ts
function n(n, r) {
	let i = e(!n.value);
	function a() {
		i.value || (i.value = !0, r?.("opened"));
	}
	function o() {
		i.value && (i.value = !1, r?.("closed"));
	}
	function s() {
		i.value ? o() : a();
	}
	return t(n, (e) => {
		e ? o() : a();
	}), {
		opened: i,
		open: a,
		close: o,
		toggle: s
	};
}
//#endregion
export { n as t };
